Subject: bug#11612: 24.1; Defaults create warning on startup

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Jun 2016 11:16:17 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Fri, 24 Jun 2016 23:28:55 -0400
> Cc: yary <[email-masked]>, Juanma Barranquero <[email-masked]>,
> 	Michael <[email-masked]>, Jason Rumney <[email-masked]>
> 
> So it's just a matter of changing the warning message to something a
> little more informative, right? What's the best way of referencing the
> a manual node in a warning message? In Lisp I could make a hyperlink
> like this:
> 
> (display-warning 'initialization
>                  (concat "Use of `C:\\.emacs' to define `HOME' is
> deprecated, see "
>                          (make-text-button "HOME and Startup
> Directories on MS-Windows" nil
>                                            :type 'help-info
>                                            'help-args '("(emacs)
> Windows HOME"))))
> 
> it's a bit more awkward from C, and I'm not sure if make-text-button
> can be called that early in the initialization process.

It wouldn't have helped anyway.  However, nowadays this warning is
added to delayed-warnings-list, whose display is handled in Lisp.

FWIW, repeating the OP's recipe, Emacs now starts with a split-window
configuration, with the selected window showing the *scratch* buffer,
and the *Warnings* buffer displaying the above-mentioned warning.  So
I'm not sure the original complaint is still valid.